module IdCardPrinterService
    class JasperPdfGenerator

        def initialize(jasper_url)
            @jasper_url = jasper_url
        end
        

        def call

            response = HTTParty.get(@jasper_url)
            CombinePDF.parse(response.body)

        end
        
    end
end